/*
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 * 
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *          http://www.eclipse.org/legal/epl-v10.html
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.stock.crop.visual.nodes;

import java.beans.IntrospectionException;
import javax.swing.Action;
import nl.cloudfarming.client.crop.model.Classification;
import nl.cloudfarming.client.stock.crop.actions.RemoveAction;
import org.openide.nodes.BeanNode;
import org.openide.nodes.Children;
import org.openide.util.HelpCtx;
import org.openide.util.Lookup;
import org.openide.util.lookup.Lookups;
import org.openide.util.lookup.ProxyLookup;

/**
 *
 * @author Timon Veenstra <monezz@gmail.com>
 */
public class ClassificationNode extends BeanNode<Classification> {

    private static final String CLASSIFICATION_ICON = "nl/cloudfarming/client/stock/crop/classification.png";

    public ClassificationNode(Classification bean, Lookup lookup) throws IntrospectionException {
        super(bean, Children.LEAF, new ProxyLookup(Lookups.fixed(bean), lookup));
        this.setIconBaseWithExtension(CLASSIFICATION_ICON);
    }

    @Override
    public Action[] getActions(boolean context) {
        Action[] actions = new Action[1];
        actions[0] = new RemoveAction(getLookup());
        return actions;
    }

    @Override
    public Action getPreferredAction() {
        return null;
    }

    @Override
    public HelpCtx getHelpCtx() {
        return new HelpCtx("nl.cloudfarming.client.stock.crop.classification");
    }
}
